org.apache.jmeter.report.processor.graph

## Interface GraphSeriesSelector

All Superinterfaces:
  SampleSelector<Iterable<String>>

All Known Implementing Classes:
  AbstractSeriesSelector, CodeSeriesSelector, NameSeriesSelector, StaticSeriesSelector, StatusSeriesSelector

    public interface GraphSeriesSelector
    extends SampleSelector<Iterable<String>>

The interface GraphSeriesSelector provides a projection from a sample to the series it belongs in a graph.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `allowsControllersDiscrimination()` Indicates whether this selector allows controllers discrimination, which allows on graphs to only show transaction controllers

### Methods inherited from interface org.apache.jmeter.report.core.SampleSelector

`select`

### Method Detail

#### allowsControllersDiscrimination

    boolean allowsControllersDiscrimination()

Indicates whether this selector allows controllers discrimination, which allows on graphs to only show transaction controllers

Returns:
  true, if this selector allows controllers discrimination; false otherwise